Bug 1010803 - Allow properties without label to be set as headers when explicitly specified in config
Allow properties without label to be set as headers when explicitly specified...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
high Severity high
: ER7
: 6.0.0
Assigned To: Magesh Kumar Bojan
Tomas Rohovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 01:37 EDT by Magesh Kumar Bojan
Modified: 2016-01-04 00:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test-sample (43.57 KB, application/x-zip-compressed)
2014-01-09 21:32 EST, Magesh Kumar Bojan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1731 Major Closed Properties apart from component labeled ones should be included if explicitly specified in config 2015-11-03 16:43 EST

  None (edit)
Description Magesh Kumar Bojan 2013-09-23 01:37:03 EDT
Description of problem:

When certain properties are explicitly set in config, e.g., regular expressions, then they need to be added to outgoing headers irrespective of their labels.

Right now SOAP, Http and RESTEasy gateways only add the matching properties if the HTTP/RESTEasy label is set.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 JBoss JIRA Server 2013-10-01 09:33:51 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1731

pushed
Comment 6 Magesh Kumar Bojan 2014-01-09 21:32:40 EST
Created attachment 847977 [details]
test-sample

To QE:
-----
Use the attached modified rest binding quickstart and run mvn test. In the console messages you should see:

[org.switchyard.component.resteasy.util.ClientInvoker] Outgoing Headers from SwitchYard through OutboundHandler [
[org.switchyard.component.resteasy.util.ClientInvoker] foo = bar
[org.switchyard.component.resteasy.util.ClientInvoker] ]
[org.jboss.resteasy.core.SynchronousDispatcher] PathInfo: /warehouse/4/Time Machine
[org.switchyard.component.resteasy.util.RESTEasyProxy] Incoming Headers to SwitchYard through InboundHandler [
[org.switchyard.component.resteasy.util.RESTEasyProxy] Connection = Keep-Alive
[org.switchyard.component.resteasy.util.RESTEasyProxy] Host = localhost:8081
[org.switchyard.component.resteasy.util.RESTEasyProxy] Content-Length = 0
[org.switchyard.component.resteasy.util.RESTEasyProxy] User-Agent = Apache-HttpClient/4.2.1 (java 1.5)
[org.switchyard.component.resteasy.util.RESTEasyProxy] foo = bar
[org.switchyard.component.resteasy.util.RESTEasyProxy] Accept-Encoding = gzip, deflate
[org.switchyard.component.resteasy.util.RESTEasyProxy] ]

Notice the header foo been added.
Comment 7 JBoss JIRA Server 2014-06-16 19:47:44 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1731 to Closed

Note You need to log in before you can comment on or make changes to this bug.